Foreman - Bug #13939

API v1 hosts rabl references deprecated puppet_status call
02/29/2016 03:56 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: API
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3249
Description

The API v1 hosts views use the puppet_status attribute, which is a deprecated getter from #10782, where only the v2 API was fixed
to use the new version.

test/functional/api/vi/hosts_controller_test.rb prints:

DEPRECATION WARNING: You are using a deprecated behavior, it will be removed in version 1.13, Host
#puppet_status has been deprecated, you should use configuration_status. (called from
app_views_api_v

_hosts_create_json_rabl__1200163205771380870_129174860 at /home/dcleal/code/foreman/foreman/app/vi
ews/api/vl/hosts/create. json.rabl:3)

Related issues:

Related to Foreman - Feature #10782: Add global status for hosts Closed 06/11/2015
Related to Foreman - Bug #13941: Core tests should not print API deprecation ... Closed 02/29/2016
Blocks Foreman - Refactor #13845: Remove 1.13 deprecations Closed 02/23/2016

Associated revisions

Revision ecc7b31f - 03/01/2016 05:11 AM - Dominic Cleal

fixes #13939 - call non-deprecated status method from API rabl

Revision b079b71a - 04/18/2016 01:45 PM - Dominic Cleal

fixes #13939 - call non-deprecated status method from API rabl

(cherry picked from commit ecc7b31f8eb48ffd055b739776f8de4f8824bbe4)

History

#1 - 02/29/2016 03:56 AM - Dominic Cleal
- Related to Feature #10782: Add global status for hosts added

#2 - 02/29/2016 03:58 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3249 added

#3 - 02/29/2016 04:00 AM - Dominic Cleal
- Blocks Refactor #13845: Remove 1.13 deprecations added

#4 - 02/29/2016 05:09 AM - Dominic Cleal
- Related to Bug #1394 1: Core tests should not print API deprecation warnings added

#5 - 03/01/2016 06:01 AM - Dominic Cleal
https://projects.theforeman.org/issues/10782

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ecc7b31f8eb48ffd055b739776f8de4f8824bbe4.

#6 - 03/01/2016 06:02 AM - Dominic Cleal

- translation missing: en.field_release set to 141
